Debian Bug report logs - #680398
unblock: python-qt4/4.9.3-2

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Scott Kitterman <debian@kitterman.com>

Date: Thu, 5 Jul 2012 16:57:02 UTC

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680398; Package release.debian.org. (Thu, 05 Jul 2012 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 Jul 2012 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: python-qt4/4.9.3-2
Date: Thu, 05 Jul 2012 12:56:12 -0400
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package python-qt4

Fixes RC bug #679819 to allow 4.9.3 (which was uploaded before the freeze, but
stuck in New for some time and has a lot of bug fixes) to migrate.

unblock python-qt4/4.9.3-2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680398; Package release.debian.org. (Thu, 12 Jul 2012 20:06:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 12 Jul 2012 20:06:36 GMT) Full text and rfc822 format available.

Message #10 received at 680398@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 680398@bugs.debian.org
Subject: Full diff
Date: Thu, 12 Jul 2012 15:58:31 -0400
[Message part 1 (text/plain, inline)]
Here's the full diff.

Scott K
[python-qt4.full.debdiff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680398; Package release.debian.org. (Sat, 14 Jul 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jul 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 680398@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 680398@bugs.debian.org
Subject: Re: Fixed a regression in Unstable
Date: Sat, 14 Jul 2012 02:12:34 -0400
[Message part 1 (text/plain, inline)]
On Saturday, July 14, 2012 02:07:29 AM Scott Kitterman wrote:
> python-qt4 is RC bug free again.  Here are updated debdiffs.  I'm including
> both a debdiff of this upload to show what's changed from the last one and a
> full debdiff between Wheezy and Sid.  Despite the regression (which
> upstream fixed in less than 24 hours from when I contacted them), I would
> still like to see this in Wheezy.  Overall, it will make the release
> better.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=673030 is (I am concerned) 
exactly the kind of problem we'll see more of through the freeze and after 
release if this isn't updated.

Scott K
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680398; Package release.debian.org. (Sat, 14 Jul 2012 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jul 2012 10:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 680398@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Scott Kitterman <debian@kitterman.com>, 680398@bugs.debian.org
Subject: Re: Bug#680398: unblock: python-qt4/4.9.3-2
Date: Sat, 14 Jul 2012 11:54:30 +0200
[Message part 1 (text/plain, inline)]
Scott Kitterman <debian@kitterman.com> (05/07/2012):
> Please unblock package python-qt4
> 
> Fixes RC bug #679819 to allow 4.9.3 (which was uploaded before the
> freeze, but stuck in New for some time and has a lot of bug fixes) to
> migrate.
> 
> unblock python-qt4/4.9.3-2

For the record, there's now -3 due to the RC bug fix for #680837.

I know there are some doc updates, along with updated MetaSIP-generated
comments, but that's still a lot…
  1554 files changed, 10441 insertions(+), 3247 deletions(-)

I guess it would be nice for someone to dive into this to determine how
much really changed (and the amount of code one would need to review if
more regressions are found)…

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680398; Package release.debian.org. (Sat, 14 Jul 2012 13:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jul 2012 13:57:08 GMT) Full text and rfc822 format available.

Message #25 received at 680398@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 680398@bugs.debian.org
Subject: Re: Bug#680398: unblock: python-qt4/4.9.3-2
Date: Sat, 14 Jul 2012 09:53:41 -0400
[Message part 1 (text/plain, inline)]
On Saturday, July 14, 2012 11:54:30 AM Cyril Brulebois wrote:
> Scott Kitterman <debian@kitterman.com> (05/07/2012):
> > Please unblock package python-qt4
> > 
> > Fixes RC bug #679819 to allow 4.9.3 (which was uploaded before the
> > freeze, but stuck in New for some time and has a lot of bug fixes) to
> > migrate.
> > 
> > unblock python-qt4/4.9.3-2
> 
> For the record, there's now -3 due to the RC bug fix for #680837.
> 
> I know there are some doc updates, along with updated MetaSIP-generated
> comments, but that's still a lot…
>   1554 files changed, 10441 insertions(+), 3247 deletions(-)
> 
> I guess it would be nice for someone to dive into this to determine how
> much really changed (and the amount of code one would need to review if
> more regressions are found)…

Every file has between two and six lines of change due to both the MetaSIP-
generated comments and the changed copyright year.  After removing those and 
the changes in docs/examples the attached diffstat is what's left.  Instead of 
1554 files, it's 127 and only 10 of those have more than a 100 LOC change 
(total lines changed in the reduced set is 4427).  

A significant fraction of the remaining diff is the addition of IFDEFs 
assocaited with support for Qt5 and code for that (which won't affect us since 
we aren't building against it).

Is that the sort of thing you were looking for?

Scott K
[diffstat.reduced (text/plain, attachment)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 15 Jul 2012 15:06:08 GMT) Full text and rfc822 format available.

Notification sent to Scott Kitterman <debian@kitterman.com>:
Bug acknowledged by developer. (Sun, 15 Jul 2012 15:06:08 GMT) Full text and rfc822 format available.

Message #30 received at 680398-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Scott Kitterman <debian@kitterman.com>, 680398-done@bugs.debian.org
Subject: Re: Bug#680398: unblock: python-qt4/4.9.3-2
Date: Sun, 15 Jul 2012 16:36:52 +0200
[Message part 1 (text/plain, inline)]
Hello Scott,

Scott Kitterman <debian@kitterman.com> (14/07/2012):
> Every file has between two and six lines of change due to both the MetaSIP-
> generated comments and the changed copyright year.

I gathered that part. ;)

> After removing those and the changes in docs/examples the attached diffstat
> is what's left.  Instead of 1554 files, it's 127 and only 10 of those have
> more than a 100 LOC change (total lines changed in the reduced set is 4427).  
> 
> A significant fraction of the remaining diff is the addition of IFDEFs
> assocaited with support for Qt5 and code for that (which won't affect us
> since we aren't building against it).
> 
> Is that the sort of thing you were looking for?

That definitely helps figuring out what to do with your package, thanks.
I'll go for an unblock after 20 days in unstable. I have first hand
evidence upstream is responsive (weboob ftbfs), but I would still like
the package to spend some more days in unstable, just in case.

age-days 20 python-qt4/4.9.3-3
unblock python-qt4/4.9.3-3

Thanks.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680398; Package release.debian.org. (Mon, 16 Jul 2012 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Jul 2012 12:09:04 GMT) Full text and rfc822 format available.

Message #35 received at 680398@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 680398@bugs.debian.org
Subject: Fixed a regression in Unstable
Date: Sat, 14 Jul 2012 02:07:29 -0400
[Message part 1 (text/plain, inline)]
python-qt4 is RC bug free again.  Here are updated debdiffs.  I'm including 
both a debdiff of this upload to show what's changed from the last one and a 
full debdiff between Wheezy and Sid.  Despite the regression (which upstream 
fixed in less than 24 hours from when I contacted them), I would still like to 
see this in Wheezy.  Overall, it will make the release better.

Scott K
[python-qt4.debdiff (text/x-patch, attachment)]
[python-qt4.debdiff.sid (audio/prs.sid, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Aug 2012 07:27:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:07:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.